Package org.apache.batchee.container.impl.controller.chunk

## Class ItemCheckpointAlgorithm

- java.lang.Object
- - org.apache.batchee.container.impl.controller.chunk.ItemCheckpointAlgorithm

- All Implemented Interfaces:
    `javax.batch.api.chunk.CheckpointAlgorithm`

      public final class ItemCheckpointAlgorithm
      extends Object
      implements javax.batch.api.chunk.CheckpointAlgorithm

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ItemCheckpointAlgorithm()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `beginCheckpoint()` |
    `int` | `checkpointTimeout()` |
    `void` | `endCheckpoint()` |
    `boolean` | `isReadyToCheckpoint()` |
    `boolean` | `isReadyToCheckpointItem()` |
    `boolean` | `isReadyToCheckpointTime()` |
    `void` | `setItemCount​(int itemCount)` |
    `void` | `setTimeLimitSeconds​(int timeLimitSeconds)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ItemCheckpointAlgorithm

          public ItemCheckpointAlgorithm()

  - ### Method Detail

    - #### setItemCount

          public void setItemCount​(int itemCount)

    - #### setTimeLimitSeconds

          public void setTimeLimitSeconds​(int timeLimitSeconds)

    - #### endCheckpoint

          public void endCheckpoint()
                             throws Exception

      Specified by:
        `endCheckpoint` in interface `javax.batch.api.chunk.CheckpointAlgorithm`
      Throws:
        `Exception`

    - #### isReadyToCheckpointItem

          public boolean isReadyToCheckpointItem()
                                          throws Exception

      Throws:
        `Exception`

    - #### isReadyToCheckpointTime

          public boolean isReadyToCheckpointTime()
                                          throws Exception

      Throws:
        `Exception`

    - #### isReadyToCheckpoint

          public boolean isReadyToCheckpoint()
                                      throws Exception

      Specified by:
        `isReadyToCheckpoint` in interface `javax.batch.api.chunk.CheckpointAlgorithm`
      Throws:
        `Exception`

    - #### beginCheckpoint

          public void beginCheckpoint()
                               throws Exception

      Specified by:
        `beginCheckpoint` in interface `javax.batch.api.chunk.CheckpointAlgorithm`
      Throws:
        `Exception`

    - #### checkpointTimeout

          public int checkpointTimeout()
                                throws Exception

      Specified by:
        `checkpointTimeout` in interface `javax.batch.api.chunk.CheckpointAlgorithm`
      Throws:
        `Exception`